View Issue Details

IDProjectCategoryLast Update
0019184AI War 2[All Projects] Gameplay IssueOct 3, 2017 11:41 am
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.450 Sound! 
Fixed in Version 
Summary0019184: AI gets golems, not player
DescriptionLooking at MapGeneration.cs, I see the line
            galaxy.Mapgen_SeedSpecialEntities( Context, "Golem", 3 );
which I think is "supposed" to seed capturable golems in the galaxy. However, I think what it actually does is give the AI 3 golems.
I believe that this line should be replaced by
            galaxy.Mapgen_SeedSpecialEntities( Context, World_AIW2.Instance.GetNeutralSide(), "Golem", 3);

TagsNo tags attached.

Activities

BadgerBadger

Jun 27, 2017 8:32 pm

reporter   ~0046362

This bug is fixed in .500

BadgerBadger

Jun 28, 2017 12:57 am

reporter   ~0046363

I think? I can't edit my past comments now. Possibly I'm getting confused by my own local changes.

BadgerBadger

Jul 8, 2017 1:10 am

reporter   ~0046378

This bug is definitely fixed now. Please close

Issue History

Date Modified Username Field Change
Jun 23, 2017 12:17 am BadgerBadger New Issue
Jun 27, 2017 8:32 pm BadgerBadger Note Added: 0046362
Jun 28, 2017 12:57 am BadgerBadger Note Added: 0046363
Jul 8, 2017 1:10 am BadgerBadger Note Added: 0046378
Oct 3, 2017 11:41 am x4000Bughunter Assigned To => x4000Bughunter
Oct 3, 2017 11:41 am x4000Bughunter Status new => resolved
Oct 3, 2017 11:41 am x4000Bughunter Resolution open => fixed